SUSE SLED15 / SLES15セキュリティ更新プログラム:cloud-init(SUSE-SU-2019:3097-1)

medium Nessus プラグイン ID 131558

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このcloud-initのバージョン19.2への更新では、次の問題を修正します:

修正されたセキュリティ問題:

CVE-2019-0816:authorized_keysに追加される不必要なsshキーを修正しました(bsc#1129124)。

修正された非セキュリティ問題:sysconfigレンダラーを識別するための条件を省略します(bsc#1154092、bsc#1142988)。

/etc/resolv.confがシンボリックリンクの場合、破壊します。これにより、cloud-initにより適用された変更内容をnetconfigが上書きすることが回避されます(bsc#1151488)。

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

Public Cloud 15向けSUSE Linux Enterprise Module:zypper in -t patch SUSE-SLE-Module-Public-Cloud-15-2019-3097=1

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 pcpのバージョン。zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-3097=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1099358

https://bugzilla.suse.com/show_bug.cgi?id=1129124

https://bugzilla.suse.com/show_bug.cgi?id=1136440

https://bugzilla.suse.com/show_bug.cgi?id=1142988

https://bugzilla.suse.com/show_bug.cgi?id=1144363

https://bugzilla.suse.com/show_bug.cgi?id=1151488

https://bugzilla.suse.com/show_bug.cgi?id=1154092

https://www.suse.com/security/cve/CVE-2019-0816/

http://www.nessus.org/u?44bfaf5b

プラグインの詳細

深刻度: Medium

ID: 131558

ファイル名: suse_SU-2019-3097-1.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2019/12/3

更新日: 2019/12/9

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.1

CVSS v2

リスクファクター: Low

Base Score: 1.9

Temporal Score: 1.4

ベクトル: AV:L/AC:M/Au:N/C:N/I:P/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Medium

Base Score: 5.1

Temporal Score: 4.5

ベクトル: CVSS:3.0/AV:L/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:cloud-init-doc, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2019/11/28

脆弱性公開日: 2019/4/9

参照情報

CVE: CVE-2019-0816